cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

814
Views
5
Helpful
5
Replies
trevor240
Beginner

BGP on Older ASAs

Hello Everyone, I understand that BGP is currently not on the ASA 5510, 5520, 5540, 5550, and the ASA 5580. I am curious as to why the ASA 5505 supports it and not the models that I listed. I am curious if Cisco has any plans on implementing BGP on them before their end of support date. 

 

I use the ASA 5510 in my home network, which I connect to my friends with and all of us have our own BGP AS numbers, however it would be nice to just use BGP in the network instead of using OSPF on my network and then redistribute the routes into BGP and vice versa. That way it makes for easier failover when my primary internet connection goes down and I can just tell it neighbor Cox route-map Failover in followed by neighbor Cox route-map Failover out in the BGP config on the ASAs, that way it moves over to CenturyLink. 

 

Trevor Janssen

5 REPLIES 5
Bogdan Nita
Rising star

Hi Trevor,

BGP was introduced to ASA in version 9.2.

Latest version available for the ASA 5510, 5520, 5540, 5550, and the ASA 5580 is 9.1.

For ASA 5505 the latest version available is 9.2, and thus supports bgp.

I can't say for sure, but I really don't think the ASA 5510 will get upgraded to 9.2 in order to support bgp.

 

HTH

Bogdan

 

Hello Bogdan, 

 

I only wish that they do upgrade the older ASAs to 9.2 so that I can use BGP and retire OSPF. I do understand that BGP was introduced in 9.2 and that the latest version available for the ASAs that I listed is 9.1.7 Interim. 

 

Trevor Janssen